Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
productedit.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $ProductID, $CategoryID, $CategoryArray, $Hotdeal)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowModuleLinker = $ini->variable( "eZTradeMain", "ShowModuleLinker" ) == "true"
| $CSVDelimiter = $ini->variable( "eZTradeMain", "CSVDelimiter" )
| $DefaultDealerPriceGroup = $ini->variable( "eZTradeMain", "DefaultDealerPriceGroup" )
if(isset($CSVImport)) if(isSet( $SubmitPrice)) if(isSet( $UpdateProducts)) if(isset( $DeleteProducts)) if(isset( $Action) && $Action=="Update" or isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Cancel") if(isset( $Action) && $Action=="DeleteProducts") if(isset( $Action) && $Action=="Delete") | $t
| $writeGroupsID = array()
| $readGroupsID = array()
| $PriceGroup = array()
| $PriceGroupID = array()
| $VatType = false
| $BoxType = false
if(isset( $Action) && $Action=="Edit") if(isset( $UseVoucher) && $UseVoucher) | else
| $category = new eZProductCategory()
| $categoryArray = $category->getTree()
foreach( $categoryArray as $catItem) | $vat = new eZVATType()
| $vatTypes = $vat->getAll()
foreach( $vatTypes as $type) | $box = new eZBoxType()
| $boxTypes = $box->getAll()
foreach( $boxTypes as $type) | $group = new eZShippingGroup()
| $groups =& $group->getAll()
| $groupList = $group->getAll()

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $ProductID,
|  |  | $CategoryID,
|  |  | $CategoryArray,
|  |  | $Hotdeal
| ) |  |

Definition at line 38 of file productedit.php.

References $CategoryID, $file, $files, and $product.

## Variable Documentation

## ◆ $box

foreach ($vatTypes as $type) $box = new eZBoxType()

Definition at line 1356 of file productedit.php.

Referenced by ezuspsservices\getFlatResult().

## ◆ $BoxType

$BoxType = false

Definition at line 1077 of file productedit.php.

## ◆ $boxTypes

$boxTypes = $box->getAll()

Definition at line 1357 of file productedit.php.

## ◆ $category

$category = new eZProductCategory()

Definition at line 1275 of file productedit.php.

## ◆ $categoryArray

$categoryArray = $category->getTree()

Definition at line 1276 of file productedit.php.

## ◆ $CSVDelimiter

$CSVDelimiter = $ini->variable( "eZTradeMain", "CSVDelimiter" )

Definition at line 92 of file productedit.php.

## ◆ $DefaultDealerPriceGroup

$DefaultDealerPriceGroup = $ini->variable( "eZTradeMain", "DefaultDealerPriceGroup" )

Definition at line 93 of file productedit.php.

## ◆ $group

$group = new eZShippingGroup()

Definition at line 1378 of file productedit.php.

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 1480 of file productedit.php.

## ◆ $groups

$groups =& $group->getAll()

Definition at line 1380 of file productedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 85 of file productedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 87 of file productedit.php.

## ◆ $PriceGroup

$PriceGroup = array()

Definition at line 1073 of file productedit.php.

Referenced by eZCartItem\price(), and eZWishListItem\price().

## ◆ $PriceGroupID

$PriceGroupID = array()

Definition at line 1074 of file productedit.php.

## ◆ $readGroupsID

$readGroupsID = array()

Definition at line 1071 of file productedit.php.

## ◆ $ShowModuleLinker

$ShowModuleLinker = $ini->variable( "eZTradeMain", "ShowModuleLinker" ) == "true"

Definition at line 90 of file productedit.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 88 of file productedit.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 89 of file productedit.php.

## ◆ $t

if (isset( $CSVImport)) if (isSet($SubmitPrice)) if (isSet($UpdateProducts)) if (isset($DeleteProducts)) if (isset($Action) &&$Action=="Update" or isset($Action) &&$Action=="Insert") if (isset($Action) &&$Action=="Cancel") if (isset($Action) &&$Action=="DeleteProducts") if (isset($Action) &&$Action=="Delete") $t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "productedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: productedit.php:87
$ini
$ini
Definition: productedit.php:85

Definition at line 1010 of file productedit.php.

## ◆ $vat

foreach ($categoryArray as $catItem) $vat = new eZVATType()

Definition at line 1334 of file productedit.php.

Referenced by eZProduct\addVAT(), eZVoucher\correctPrice(), eZVoucherUsed\correctPrice(), eZOptionValue\correctPrice(), eZProduct\correctPrice(), eZVoucherInformation\correctPrice(), eZProduct\correctPriceRange(), eZProduct\correctSavings(), eZOptionValue\correctSavings(), eZProduct\extractVAT(), eZProduct\priceExVAT(), eZProduct\priceIncVAT(), and eZCartItem\vat().

## ◆ $VatType

$VatType = false

Definition at line 1076 of file productedit.php.

## ◆ $vatTypes

$vatTypes = $vat->getAll()

Definition at line 1335 of file productedit.php.

## ◆ $writeGroupsID

$writeGroupsID = array()

Definition at line 1070 of file productedit.php.

## ◆ else

if ($ShowPriceGroups) if (isset($ShippingGroup) &&$ShippingGroup and($ShippingGroup->id()==$group->id())) else

Initial value:
{
$t->set_var( "url_action", "productedit" )
$t
if(isset($CSVImport)) if(isSet( $SubmitPrice)) if(isSet( $UpdateProducts)) if(isset( $DeleteProducts)) if(isset( $Action) && $Action=="Update" or isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Cancel") if(isset( $Action) && $Action=="DeleteProducts") if(isset( $Action) && $Action=="Delete") $t
Definition: productedit.php:1010

Definition at line 1267 of file productedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.